Bullet Collision Detection & Physics Library: btSolve2LinearConstraint Class Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
btSolve2LinearConstraint Class Reference

constraint class used for lateral tyre friction. More...

`#include <btSolve2LinearConstraint.h>`

## Public Member Functions
| btSolve2LinearConstraint (btScalar tau, btScalar damping)
void | resolveUnilateralPairConstraint (btRigidBody *body0, btRigidBody *body1, const btMatrix3x3 &world2A, const btMatrix3x3 &world2B, const btVector3 &invInertiaADiag, const btScalar invMassA, const btVector3 &linvelA, const btVector3 &angvelA, const btVector3 &rel_posA1, const btVector3 &invInertiaBDiag, const btScalar invMassB, const btVector3 &linvelB, const btVector3 &angvelB, const btVector3 &rel_posA2, btScalar depthA, const btVector3 &normalA, const btVector3 &rel_posB1, const btVector3 &rel_posB2, btScalar depthB, const btVector3 &normalB, btScalar &imp0, btScalar &imp1)
void | resolveBilateralPairConstraint (btRigidBody *body0, btRigidBody *body1, const btMatrix3x3 &world2A, const btMatrix3x3 &world2B, const btVector3 &invInertiaADiag, const btScalar invMassA, const btVector3 &linvelA, const btVector3 &angvelA, const btVector3 &rel_posA1, const btVector3 &invInertiaBDiag, const btScalar invMassB, const btVector3 &linvelB, const btVector3 &angvelB, const btVector3 &rel_posA2, btScalar depthA, const btVector3 &normalA, const btVector3 &rel_posB1, const btVector3 &rel_posB2, btScalar depthB, const btVector3 &normalB, btScalar &imp0, btScalar &imp1)

## Private Attributes
btScalar | m_tau
btScalar | m_damping

## Detailed Description

constraint class used for lateral tyre friction.

Definition at line 25 of file btSolve2LinearConstraint.h.

## Constructor & Destructor Documentation

## ◆ btSolve2LinearConstraint()

btSolve2LinearConstraint::btSolve2LinearConstraint | ( | btScalar | tau,
|  | btScalar | damping )
| inline

Definition at line 31 of file btSolve2LinearConstraint.h.

## Member Function Documentation

## ◆ resolveBilateralPairConstraint()

void btSolve2LinearConstraint::resolveBilateralPairConstraint | ( | btRigidBody * | body0,
|  | btRigidBody * | body1,
|  | const btMatrix3x3 & | world2A,
|  | const btMatrix3x3 & | world2B,
|  | const btVector3 & | invInertiaADiag,
|  | const btScalar | invMassA,
|  | const btVector3 & | linvelA,
|  | const btVector3 & | angvelA,
|  | const btVector3 & | rel_posA1,
|  | const btVector3 & | invInertiaBDiag,
|  | const btScalar | invMassB,
|  | const btVector3 & | linvelB,
|  | const btVector3 & | angvelB,
|  | const btVector3 & | rel_posA2,
|  | btScalar | depthA,
|  | const btVector3 & | normalA,
|  | const btVector3 & | rel_posB1,
|  | const btVector3 & | rel_posB2,
|  | btScalar | depthB,
|  | const btVector3 & | normalB,
|  | btScalar & | imp0,
|  | btScalar & | imp1 )

Definition at line 102 of file btSolve2LinearConstraint.cpp.

## ◆ resolveUnilateralPairConstraint()

void btSolve2LinearConstraint::resolveUnilateralPairConstraint | ( | btRigidBody * | body0,
|  | btRigidBody * | body1,
|  | const btMatrix3x3 & | world2A,
|  | const btMatrix3x3 & | world2B,
|  | const btVector3 & | invInertiaADiag,
|  | const btScalar | invMassA,
|  | const btVector3 & | linvelA,
|  | const btVector3 & | angvelA,
|  | const btVector3 & | rel_posA1,
|  | const btVector3 & | invInertiaBDiag,
|  | const btScalar | invMassB,
|  | const btVector3 & | linvelB,
|  | const btVector3 & | angvelB,
|  | const btVector3 & | rel_posA2,
|  | btScalar | depthA,
|  | const btVector3 & | normalA,
|  | const btVector3 & | rel_posB1,
|  | const btVector3 & | rel_posB2,
|  | btScalar | depthB,
|  | const btVector3 & | normalB,
|  | btScalar & | imp0,
|  | btScalar & | imp1 )

Definition at line 22 of file btSolve2LinearConstraint.cpp.

## Member Data Documentation

## ◆ m_damping

btScalar btSolve2LinearConstraint::m_damping
| private

Definition at line 28 of file btSolve2LinearConstraint.h.

## ◆ m_tau

btScalar btSolve2LinearConstraint::m_tau
| private

Definition at line 27 of file btSolve2LinearConstraint.h.

The documentation for this class was generated from the following files:

- btSolve2LinearConstraint.h
- btSolve2LinearConstraint.cpp